{% extends 'users/master/master.html' %}
{% load i18n %}
{% load static %}
{% load widget_tweaks %}
{% block title %}
{{title}}
{% endblock title %}


{% block content %}
<!-- content -->
<div class="art-content">

    <!-- curtain -->
    <div class="art-curtain"></div>


    <!-- swup container -->
    <div class="transition-fade" id="swup">

        <!-- scroll frame -->
        <div id="scrollbar" class="art-scroll-frame">

            <!-- container -->
            <div
                class="container-fluid {% if LANGUAGE_CODE == 'en' %} text-left {% else %} text-right rtl-dir {% endif %}">

                <!-- Back Button -->
                {% include "home/inc/back_btn.html" %}
                <!-- Back Button -->

                <!-- Display the errors -->
                {% include "home/inc/messages.html" %}
                <!-- Display the errors -->
                <section id='update-home-details-wrapper' class="mt-5">
                    <!-- Start Auction name -->
                    <section id="auction-name" class="m-5">
                        <div class="card"
                            style="background: linear-gradient(159deg, rgba(37, 37, 50, 0.98) 0%, rgba(35, 35, 45, 0.98) 100%) !important;">
                            <div class="card-header">
                                {% trans "Auction Name" %}
                            </div>
                            <div class="card-body">
                                <h5 class="card-title">{{object.name}}</h5>
                            </div>
                        </div>
                    </section>
                    <!-- End Auction name -->

                    <!-- Start Prices -->
                    <section id='auction-prices-block' class='my-5'>
                        <div class="container">
                            <div class="row">
                                <div class="col-sm">
                                    <div class="card"
                                        style="background: linear-gradient(159deg, rgba(37, 37, 50, 0.98) 0%, rgba(35, 35, 45, 0.98) 100%) !important;">
                                        <div class="card-header text-white">
                                            {% trans "Initial Price" %}
                                        </div>
                                        <div class="card-body">
                                            <h5 class="card-title">
                                                ${{object.initial_price}}
                                            </h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm">
                                    <div class="card"
                                        style="background: linear-gradient(159deg, rgba(37, 37, 50, 0.98) 0%, rgba(35, 35, 45, 0.98) 100%) !important;">
                                        <div class="card-header text-white">
                                            {% trans "Minimum Price" %}
                                        </div>
                                        <div class="card-body">
                                            <h5 class="card-title">
                                                ${{object.min_price}}
                                            </h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm">
                                    <div class="card"
                                        style="background: linear-gradient(159deg, rgba(37, 37, 50, 0.98) 0%, rgba(35, 35, 45, 0.98) 100%) !important;">
                                        <div class="card-header text-white">
                                            {% trans "Max Price" %}
                                        </div>
                                        <div class="card-body">
                                            <h5 class="card-title">
                                                ${{object.max_price}}
                                            </h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm">
                                    <div class="card"
                                        style="background: linear-gradient(159deg, rgba(37, 37, 50, 0.98) 0%, rgba(35, 35, 45, 0.98) 100%) !important;">
                                        <div class="card-header text-white">
                                            {% trans "Current Price" %}
                                        </div>
                                        <div class="card-body">
                                            <h5 class="card-title">
                                                {% if max_bid.current_price__max != None %}
                                                ${{max_bid.current_price__max}}
                                                {% else %}
                                                $0
                                                {% endif %}

                                            </h5>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
                    <!-- End Prices -->

                    <section id='auction-form-block' class="my-4 container-fluid" style="padding-left: 250px;">
                        <form>
                            {% csrf_token %}
                            <div class="form-group row">
                                <label for="inputPassword3"
                                    class="col-sm col-form-label position-relative text-white font-weight-bold"
                                    style="top: 14px; font-size: 13px;">
                                    {% trans "Auction Status" %}
                                </label>
                                <div class="col-sm-9 pt-3">
                                    <div class="form-check form-check-inline">
                                        {% if object.status is True %}
                                        <label class="container" for="activeInput">
                                            {% trans "Active" %}
                                            <input type="radio" checked='checked' name="auction-status" id="activeInput"
                                                value="1" />
                                            <span class="checkmark"></span>
                                        </label>
                                        <div class="mx-2"></div>
                                        <label class="container" for='inactiveInput'>
                                            {% trans "In-Active" %}
                                            <input type="radio" name="auction-status" id="inactiveInput" value="0" />
                                            <span class="checkmark"></span>
                                        </label>
                                        {% else %}
                                        <label class="container" for="activeInput">
                                            {% trans "Active" %}
                                            <input type="radio" name="auction-status" id="activeInput" value="1" />
                                            <span class="checkmark"></span>
                                        </label>
                                        <div class="mx-2"></div>
                                        <label class="container" for='inactiveInput'>
                                            {% trans "In-Active" %}
                                            <input type="radio" checked='checked' name="auction-status"
                                                id="inactiveInput" value="0" />
                                            <span class="checkmark"></span>
                                        </label>
                                        {% endif %}

                                        <div class="mx-5"></div>
                                        <button type="button" data-auction-id="{{object.pk}}" class="art-btn btn btn-sm"
                                            id="auctionDetailsStatusBtn">
                                            {% trans "Save" %}
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </section>

                    <section id="all-bids-table">
                        <table class="table table-dark table-striped">
                            <thead>
                                <tr>
                                    <th scope="col">
                                        {% trans "User" %}
                                    </th>
                                    <th scope="col">
                                        {% trans "Minimum Price" %}
                                    </th>
                                    <th scope="col">
                                        {% trans "Maximum Price" %}
                                    </th>
                                    <th scope="col">
                                        {% trans "Paid Price" %}
                                    </th>
                                    <th scope="col">
                                        {% trans "Actions" %}
                                    </th>
                                </tr>
                            </thead>
                            <tbody>
                                {% for bid in bids %}
                                {% if bid.current_price > object.max_price and bid.status == False %}
                                <tr style="background-color: rgba(255, 127, 141, 0.4);" data-toggle="tooltip"
                                    title="{% trans 'The paid price not valid' %}">
                                    <th scope="row">
                                        {{bid.member.name}}
                                    </th>
                                    <td>
                                        <b>
                                            ${{object.min_price}}
                                        </b>
                                    </td>
                                    <td>
                                        <b>
                                            ${{object.max_price}}
                                        </b>


                                    </td>
                                    <td>
                                        <b>
                                            ${{bid.current_price}}
                                        </b>
                                    </td>
                                    <td>
                                        <button type="button" class="btn art-btn mr-2 acceptAuctionBtn"
                                            data-auction-id='{{ bid.pk }}' data-toggle="tooltip"
                                            title="{% trans 'Accept this bid' %}">
                                            <i class="fas fa-check"></i>
                                        </button>
                                        <button type="button" class="btn art-btn" data-toggle="tooltip"
                                            title="{% trans 'Refuse this bid' %}">
                                            <i class="fas fa-times"></i>
                                        </button>
                                    </td>
                                </tr>
                                {% else %}
                                <tr>
                                    <th scope="row">
                                        {{bid.member.name}}
                                    </th>
                                    <td>
                                        <b>
                                            ${{object.min_price}}
                                        </b>
                                    </td>
                                    <td>
                                        <b>
                                            ${{object.max_price}}
                                        </b>


                                    </td>
                                    <td>
                                        <b>
                                            ${{bid.current_price}}
                                        </b>
                                    </td>
                                    <td>
                                        <strong>
                                            -
                                        </strong>
                                    </td>
                                </tr>
                                {% endif %}

                                {% empty %}
                                <tr>
                                    <td colspan="3">
                                        <div class="alert alert-danger" role="alert">
                                            {% trans "No bids on this auction yet" %}
                                        </div>
                                    </td>
                                </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    </section>
                </section>

            </div>
            <!-- container end -->

            <br />
            <div class="container">

                <!-- Auction details tabele -->
                <section id='auction-detail-table' class="text-right">
                    {% if object.auction_type == "Custom" %}
                    <fieldset>
                        <legend class='text-white align-center'>{% trans "Auction Details" %}</legend>
                        <div class="row">
                            <div class="col">
                                <div class="form-group art-form-field mb-2">
                                    <label style="font-size: 1.1rem;"
                                        class="my-1 col-form-label text-white align-center">
                                        {% trans 'Counseling Goals' %}
                                    </label>
                                    <div>
                                        <!-- input -->
                                        <textarea readonly cols="40" rows="10"
                                            id="id_details_list_items">{{object.counseling_goals}}</textarea>
                                    </div>
                                </div>
                                <!-- form field end -->
                            </div>

                        </div>
                        <div class="row">
                            <div class="col">
                                <div class="form-group art-form-field">
                                    <label style="font-size: 1.1rem;" class="my-1 col-form-label text-white align-center">
                                        {% trans 'Initial Price' %}
                                    </label>
                                    <div>
                                        <!-- input -->
                                        <input type="text" value="{{object.initial_price}}"
                                            class="art-input custom-art-input" readonly />
                                    </div>
                                </div>
                                <!-- form field end -->
                            </div>
                            <div class="col">
                                <div class="form-group art-form-field">
                                    <label style="font-size: 1.1rem;" class="my-1 col-form-label text-white align-center">
                                        {% trans 'Min Price' %}
                                    </label>
                                    <div>
                                        <!-- input -->
                                        <input type="text" value="${{min_price.total_price}}"
                                            class="art-input custom-art-input" readonly />
                                    </div>
                                </div>
                                <!-- form field end -->
                            </div>
                            <div class="col">
                                <div class="form-group art-form-field">
                                    <label style="font-size: 1.1rem;" class="my-1 col-form-label text-white align-center">
                                        {% trans 'Max Price' %}
                                    </label>
                                    <div>
                                        <!-- input -->
                                        <input type="text" value="${{min_price.max_price}}"
                                            class="art-input custom-art-input" readonly />
                                    </div>
                                </div>
                                <!-- form field end -->
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <div class="form-group art-form-field">
                                    <label style="font-size: 1.1rem;"
                                        class="my-1 col-form-label text-white align-center">
                                        {% trans 'Extra Notes' %}
                                    </label>
                                    <div>
                                        <!-- input -->
                                        <textarea readonly cols="40" rows="10"
                                            id="id_details_list_items">{{object.extra_notes}}</textarea>
                                    </div>
                                </div>
                                <!-- form field end -->
                            </div>
                            <div class="col">
                                <div class="form-group art-form-field">
                                    <label style="font-size: 1.1rem;"
                                        class="my-1 col-form-label text-white align-center">
                                        {% trans 'Member Bio' %}
                                    </label>
                                    <div>
                                        <!-- input -->
                                        <textarea readonly cols="40" rows="10"
                                            id="id_details_list_items">{{object.member_bio}}</textarea>
                                    </div>
                                </div>
                                <!-- form field end -->
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <div class="form-group art-form-field">
                                    <label style="font-size: 1.1rem;"
                                        class="my-1 col-form-label text-white align-center">
                                        {% trans 'Entity Type' %}
                                    </label>
                                    <div>
                                        <!-- input -->
                                        <input type="text" value="{{object.entity_type}}"
                                            class="art-input custom-art-input" readonly />
                                    </div>
                                </div>
                                <!-- form field end -->
                            </div>
                            <div class="col">
                                <div class="form-group art-form-field">
                                    <label style="font-size: 1.1rem;"
                                        class="my-1 col-form-label text-white align-center">
                                        {% trans 'Total Price' %}
                                    </label>
                                    <div>
                                        <!-- input -->
                                        <input type="text" value="${{object.total_price}}"
                                            class="art-input custom-art-input" readonly />
                                    </div>
                                </div>
                                <!-- form field end -->
                            </div>
                            <div class="col">
                                <div class="form-group art-form-field">
                                    <label style="font-size: 1.1rem;"
                                        class="my-1 col-form-label text-white align-center">
                                        {% trans 'Names to study' %}
                                    </label>
                                    <div>
                                        <input type="text" value="{{object.names_to_study}}" class="art-input custom-art-input" readonly />
                                    </div>
                                </div>
                                <!-- form field end -->
                            </div>
                        </div>
                    </fieldset>
                    {% elif object.auction_type == "Standard" %}
                    <fieldset>
                        <legend class='text-white align-center'>{% trans "Auction Details" %}</legend>
                        <div class="row">
                            <div class="col">
                                <div class="form-group art-form-field">
                                    <label style="font-size: 1.1rem;" class="my-1 col-form-label text-white align-center">
                                        {% trans 'Entity Type' %}
                                    </label>
                                    <div>
                                        <!-- input -->
                                        <input type="text" value="{{object.entity_type}}" class="art-input custom-art-input"
                                            readonly />
                                    </div>
                                </div>
                                <!-- form field end -->
                            </div>
                            <div class="col">
                                <div class="form-group art-form-field">
                                    <label style="font-size: 1.1rem;" class="my-1 col-form-label text-white align-center">
                                        {% trans 'Total Price' %}
                                    </label>
                                    <div>
                                        <!-- input -->
                                        <input type="text" value="${{object.total_price}}"
                                            class="art-input custom-art-input" readonly />
                                    </div>
                                </div>
                                <!-- form field end -->
                            </div>
                            <div class="col">
                                <div class="form-group art-form-field">
                                    <label style="font-size: 1.1rem;" class="my-1 col-form-label text-white align-center">
                                        {% trans 'Names to study' %}
                                    </label>
                                    <div>
                                        <input type="text" value="{{object.names_to_study}}" class="art-input custom-art-input" readonly />
                                    </div>
                                </div>
                                <!-- form field end -->
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <div class="form-group art-form-field">
                                    <label style="font-size: 1.1rem;" class="my-1 col-form-label text-white align-center">
                                        {% trans 'Initial Price' %}
                                    </label>
                                    <div>
                                        <!-- input -->
                                        <input type="text" value="{{object.initial_price}}"
                                            class="art-input custom-art-input" readonly />
                                    </div>
                                </div>
                                <!-- form field end -->
                            </div>
                            <div class="col">
                                <div class="form-group art-form-field">
                                    <label style="font-size: 1.1rem;" class="my-1 col-form-label text-white align-center">
                                        {% trans 'Min Price' %}
                                    </label>
                                    <div>
                                        <!-- input -->
                                        <input type="text" value="${{min_price.total_price}}"
                                            class="art-input custom-art-input" readonly />
                                    </div>
                                </div>
                                <!-- form field end -->
                            </div>
                            <div class="col">
                                <div class="form-group art-form-field">
                                    <label style="font-size: 1.1rem;" class="my-1 col-form-label text-white align-center">
                                        {% trans 'Max Price' %}
                                    </label>
                                    <div>
                                        <!-- input -->
                                        <input type="text" value="${{min_price.max_price}}"
                                            class="art-input custom-art-input" readonly />
                                    </div>
                                </div>
                                <!-- form field end -->
                            </div>
                        </div>
                    </fieldset>
                    {% endif %}

                </section>
                <!-- Auction details tabele -->
            </div>



        </div>
        <!-- scroll frame end -->

    </div>
    <!-- swup container end -->

</div>
<!-- content end -->
{% endblock content %}